☆927Jul 23, 2026Updated 3 months ago
Alternatives and similar repositories for go-isatty
Users that are interested in go-isatty are comparing it to the libraries listed below. We may earn a commission when you buy through links labeled 'Ad' on this page.
Sorting:
- ☆817Oct 6, 2026Updated last month
- wcwidth for golang☆726Oct 8, 2026Updated 3 weeks ago
- Parser for uniform resource names as seen on RFC 8141, RFC 2141, and RFC 7643☆98Aug 9, 2026Updated 2 months ago
- Color package for Go (golang)☆8,007Oct 12, 2026Updated 3 weeks ago
- Cross-platform filesystem notifications for Go.☆10,808May 11, 2026Updated 5 months ago
- Managed Database hosting by DigitalOcean • AdPostgreSQL, MySQL, MongoDB, Kafka, Valkey, and OpenSearch available. Automatically scale up storage and focus on building your apps.
- Go library for the TOML file format☆2,003Aug 3, 2026Updated 3 months ago
- Partial port of Python difflib package to Go☆429May 30, 2023Updated 3 years ago
- Readline is a pure go(golang) implementation for GNU-Readline kind library☆2,318Jun 20, 2025Updated last year
- PTY interface for Go☆2,109Jun 1, 2026Updated 5 months ago
- The Universal Filesystem Abstraction for Go☆6,718Oct 30, 2026Updated last week
- Package for comparing Go values in tests☆4,685Oct 29, 2026Updated last week
- Parse line as shell words☆578Oct 1, 2026Updated last month
- multi progress bar for Go cli applications☆2,513Oct 21, 2026Updated 2 weeks ago
- Pretty printing for Go values☆1,410Jul 26, 2024Updated 2 years ago
- AI Agents on DigitalOcean Gradient AI Platform • AdBuild production-ready AI agents using customizable tools or access multiple LLMs through a single endpoint. Create custom knowledge bases or connect external data.
- Tcell is an alternate terminal package, similar in some ways to termbox, but better in others.☆5,234Oct 30, 2026Updated last week
- Implements a deep pretty printer for Go data structures to aid in debugging☆6,423Apr 6, 2024Updated 2 years ago
- A general purpose syntax highlighter in pure Go☆5,077Updated this week
- Drop-in replacement for Go's flag package, implementing POSIX/GNU-style --flags.☆2,785Oct 29, 2026Updated last week
- Go Humans! (formatters for units to human friendly sizes)☆4,856Oct 13, 2026Updated 3 weeks ago
- A go library to render progress bars in terminal applications☆2,137Feb 29, 2024Updated 2 years ago
- Staticcheck - The advanced Go linter☆6,927Oct 24, 2026Updated last week
- Go library for detecting and expanding the user's home directory without cgo.☆1,416Mar 21, 2024Updated 2 years ago
- Unicode Text Segmentation, Word Wrapping, and String Width Calculation in Go☆740Updated this week
- Managed Kubernetes at scale on DigitalOcean • AdDigitalOcean Kubernetes includes the control plane, bandwidth allowance, container registry, automatic updates, and more for free.
- YAML support for the Go language.☆7,011Apr 1, 2025Updated last year
- Building powerful interactive prompts in Go, inspired by python-prompt-toolkit.☆5,498Aug 12, 2025Updated last year
- Optimized Go Compression Packages☆5,714Updated this week
- DEPRECATED. Please use mholt/archives instead.☆4,372Nov 19, 2024Updated last year
- A Go (golang) package for representing a list of errors as a single error.☆2,590Oct 14, 2026Updated 3 weeks ago
- Go bindings to systemd socket activation, journal, D-Bus, and unit files☆2,719Jul 23, 2026Updated 3 months ago
- Diff, match and patch text in Go☆2,092Jun 5, 2025Updated last year
- Go library for decoding generic map values into native Go structures and vice versa.☆8,009Jun 25, 2024Updated 2 years ago
- ASCII table in golang☆4,823Updated this week
- Deploy to Railway using AI coding agents - Free Credits Offer • AdUse Claude Code, Codex, OpenCode, and more. Autonomous software development now has the infrastructure to match with Railway.
- A dead simple, no frills Go cross compile tool☆4,566May 2, 2023Updated 3 years ago
- A Go (golang) library for parsing and verifying versions and version constraints.☆1,777Oct 16, 2026Updated 3 weeks ago
- The Snappy compression format in the Go programming language.☆1,572Jul 16, 2026Updated 3 months ago
- Randomized testing for Go☆4,847Sep 24, 2024Updated 2 years ago
- Go glob☆1,044Oct 29, 2026Updated last week
- Delve is a debugger for the Go programming language.☆24,960Updated this week
- A Go implementation of the 64-bit xxHash algorithm (XXH64)☆2,149Jul 3, 2024Updated 2 years ago